/**
 * \file gui/export/export_masschroq_dialog/exportmasschroqdialog.h
 * \date 25/01/2019
 * \author Olivier Langella
 * \brief choose ODS export options
 */

/*******************************************************************************
 * Copyright (c) 2019 Olivier Langella <olivier.langella@u-psud.fr>.
 *
 * This file is part of XTPcpp.
 *
 *     XTPcpp is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     XTPcpp is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contributors:
 *     Olivier Langella <olivier.langella@u-psud.fr> - initial API and
 *implementation
 ******************************************************************************/

#pragma once

#include <QDialog>
#include "masschroqfileparameters.h"
#include "../../../core/project.h"

namespace Ui
{
  class ExportMasschroqDialog;
}

class ExportMasschroqDialog : public QDialog
{
  Q_OBJECT

  private:
  Ui::ExportMasschroqDialog *ui;
  const Project *mp_project;

  protected slots:
  void doCheckMsrunFilepath();
  void doBrowseMsrunDirectory();

  public:
  explicit ExportMasschroqDialog(QWidget *parent);
  ~ExportMasschroqDialog();
  void accept() override;

  void setMasschroqFileParameters(const MasschroqFileParameters &params);
  MasschroqFileParameters getMasschroqFileParameters() const;

  void setProject(const Project *p_project);


  signals:
};
